<?php require('casa/setup.casa.php');
$codigo_asis = substr(md5(uniqid()),1,7);
$fecha = DataForms::POST('txtFecha');
$txtHora = DataForms::POST('txtHora');//date('H:i:s');
$txtFecha = DataForms::POST('txtFecha');

$sql = "SELECT MAX(asis_id) AS mx,asis_tipo FROM rol_usuarios_asistencia
	WHERE us_id = '$USID'
    AND asis_fecha = '$fecha'
	AND asis_tipo = 'inicio';";

	$db = new DB();
	$db->dbSQL($sql);
	if($db->next()){
        $id = $db->dbField('mx');

        $Asistencia = new DB();
        echo $sqlAsistencia = "UPDATE rol_usuarios_asistencia SET
           asis_salidahora = '$txtHora',
           asis_tipo = 'cajacerrada'           
           WHERE asis_id = '$id';";
        $Asistencia->dbSQL($sqlAsistencia);
        
        session_destroy();
        echo '<script>self.location="'.PATH_HOME.'sis/logout";</script>';
    }else{
        echo '<script>alert("Error al cerrar caja...");</script>';
    }
?>